Package org.springframework.security.web.util.matcher

# Class RequestMatcherEntry<T>

java.lang.Object
org.springframework.security.web.util.matcher.RequestMatcherEntry<T>

public class RequestMatcherEntry<T> extends Object
A rich object for associating a `RequestMatcher` to another object.

Since:
  5.5.5

## Constructor Summary

Constructors
Constructor
Description
`RequestMatcherEntry(RequestMatcher requestMatcher, T entry)`

## Method Summary

Modifier and Type
Method
Description
`T`
`getEntry()`
`RequestMatcher`
`getRequestMatcher()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestMatcherEntry

public RequestMatcherEntry(RequestMatcher requestMatcher, T entry)

## Method Details

### getRequestMatcher

public RequestMatcher getRequestMatcher()

### getEntry

public T getEntry()